
QGIS Application - Bug report #1426

Digitizer allows island creation with no poly selected

2008-11-25 05:01 AM - barryrowlingson -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11486

Description

If you select 'add island', and don't have a feature selected, you can create an island (which might take some time if you have a detailed

island) and then right-click to finish only to get an error because you forgot to select a feature before you started.

Hence loss of work, and hair.

Island creation tool should either be disabled if no features selected, or check at the start instead of the end!

History

#1 - 2008-11-25 06:03 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:4e35930c (SVN r9706)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
